<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui" xmlns:c="http://xmlns.jcp.org/jsp/jstl/core">
    <p:dialog id="contactEditorDialog" widgetVar="contactEditorDialogWidget" modal="true"
        appendToBody="true" visible="#{facesContext.validationFailed}"
        header="#{msg['contactEditor.title']}">
        <h:form id="contactEditorForm">
            <h:panelGrid columns="2">
                <p:outputLabel for="name" value="#{msg['contact.name']}" />
                <h:panelGroup>
                    <p:inputText id="name" value="#{phonebook.contact.name}" />
                    <p:message for="name" />
                </h:panelGroup>
                <p:outputLabel for="surname" value="#{msg['contact.surname']}" />
                <h:panelGroup>
                    <p:inputText id="surname" value="#{phonebook.contact.surname}" />
                    <p:message for="surname" />
                </h:panelGroup>
                <p:outputLabel for="address" value="#{msg['contact.address']}" />
                <p:inputText id="address" value="#{phonebook.contact.address}" />
                <p:outputLabel for="phone" value="#{msg['contact.phone']}" />
                <p:inputText id="phone" value="#{phonebook.contact.phone}" maxlength="13">
                    <p:keyFilter regEx="/[+0-9]/" />
                </p:inputText>
                <p:outputLabel for="mobile" value="#{msg['contact.mobile']}" maxlength="13" />
                <p:inputText id="mobile" value="#{phonebook.contact.mobile}">
                    <p:keyFilter regEx="/[+0-9]/" />
                </p:inputText>
                <p:outputLabel for="email" value="#{msg['contact.email']}" />
                <h:panelGroup>
                    <p:inputText id="email" value="#{phonebook.contact.email}">
                        <p:keyFilter mask="email" />
                    </p:inputText>
                    <p:message for="email" />
                </h:panelGroup>
                <p:outputLabel for="note" value="#{msg['contact.note']}" />
                <p:inputTextarea id="note" value="#{phonebook.contact.note}" />
                <c:if test="${not empty phonebook.contact.id}">
                    <p:outputLabel for="changed" value="#{msg['contact.lastChanged']}:" />
                    <h:outputText id="changed" value="#{phonebook.contact.changed}">
                        <f:convertDateTime type="both" dateStyle="default" timeStyle="default" />
                    </h:outputText>
                </c:if>
                <f:facet name="footer">
                    <p:commandButton value="#{msg['contactEditor.save']}"
                        actionListener="#{phonebook.saveContact}"
                        action="#{phonebook.populateContacts}"
                        oncomplete="PF('contactEditorDialogWidget').hide();"
                        update="contactEditorDialog :phonebookForm" />
                    <p:commandButton value="#{msg['contactEditor.cancel']}"
                        onclick="PF('contactEditorDialogWidget').hide();" process="@this" />
                </f:facet>
            </h:panelGrid>
        </h:form>
    </p:dialog>
</ui:composition>